﻿# Scout plugin for Deathrun Mod v 1.6
# Visit our DeathRun Server 188.134.21.171:27015
# Visit our site www.tk-portal.ru

import es, playerlib

deathrun_scoutlimit = es.ServerVar("deathrun_scoutlimit")
deathrun_giveammo = es.ServerVar("deathrun_giveammo")
deathrun_onescout = es.ServerVar("deathrun_onescout") 

scout = 0
data = {}

def load():
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    global data
    data.clear()
    for userid in es.getUseridList():
        data[es.getplayersteamid(userid)] = {}
        data[es.getplayersteamid(userid)]['scout'] = 0

def es_map_start(event_var): 
    es.server.cmd("es_xmexec ../addons/eventscripts/deathrun/deathrun.cfg")
    global data
    data.clear()
    
def round_start(event_var):
    global scout
    scout = 0
    es.msg('#green', 'To get a scout type !scout')

def round_end(event_var):
    global data
    steamid = event_var['networkid']
    if data.has_key(steamid):
        data[steamid]['scout'] = 0

def player_spawn(event_var):
    global data
    steamid = event_var['es_steamid']
    data[steamid]['scout'] = 0

def player_say(event_var):
    global scout
    text = event_var['text']
    userid = int(event_var['userid'])
    steam = event_var['es_steamid']
    if text.lower() == '!scout':
        if not es.getplayerprop(userid, 'CBasePlayer.pl.deadflag'):
            if es.getplayerteam(userid) == 3:
                if not data[steam]['scout'] and int(deathrun_onescout) == 1 or int(deathrun_onescout) == 0:     
                    if scout < deathrun_scoutlimit:
                        if playerlib.getPlayer(userid).get("primary") == "0":  
                            es.tell(userid, '#multi', '#lightgreenYou are get scout!')
                            es.server.queuecmd('es_xgive %s weapon_scout'%userid)
                            if int(deathrun_giveammo) == 0:
                                es.server.queuecmd('es playerset clip event_var(userid) weapon_scout 0')
                                es.server.queuecmd('es playerset ammo event_var(userid) weapon_scout 0')
                            scout += 1
                            if int(deathrun_onescout) == 1:
                                data[steam]['scout'] = 1
                        else:
                            es.tell(userid, '#multi', '#greenDrop #lightgreenyour #greenold weapon #lightgreenfirst!')
                    else:
                        es.tell(userid, '#multi', '#lightgreenSorry,no more scouts left!#green(Max %s scouts)'%str(deathrun_scoutlimit))
                else:
                            es.tell(userid, '#multi', '#lightgreenYou have already requested a scout!(one scout per player)')
            else:
                es.tell(userid, '#multi', '#lightgreendata are restricted for terrorists!')

def player_team(event_var):
    global data
    userid = int(event_var['userid'])
    steamid = es.getplayersteamid(userid) 
    if not data.has_key(steamid):
        data[steamid] = {}
        data[steamid]['scout'] = 0